﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_list_setting
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ListItems();
        }

        // Add an item value.
        private void btnAdd_Click(object sender, EventArgs e)
        {
            Properties.Settings.Default.Items.Add(txtValue.Text);
            txtValue.Clear();
            txtValue.Focus();
            ListItems();
        }

        // Remove an item value.
        private void btnRemove_Click(object sender, EventArgs e)
        {
            Properties.Settings.Default.Items.Remove(txtValue.Text);
            txtValue.Clear();
            txtValue.Focus();
            ListItems();
        }

        // List the current items.
        private void ListItems()
        {
            lstItems.DataSource =
                Properties.Settings.Default.Items.Cast<string>().ToArray();
            lstItems.SelectedIndex = -1;
        }

        // Save settings.
        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            Properties.Settings.Default.Save();
        }

        // Display the selected item.
        private void lstItems_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (lstItems.SelectedItem == null)
                txtValue.Clear();
            else
                txtValue.Text = lstItems.SelectedItem.ToString();
        }
    }
}
